Module | Spec::Mocks::ArgumentConstraintMatchers
In: | lib/spec/mocks/argument_constraint_matchers.rb

### Methods

any_args anything boolean duck_type hash_including no_args

### Public Instance methods

any_args()

[Source]

        # File lib/spec/mocks/argument_constraint_matchers.rb, line 10
    10:       def any_args
    11:         AnyArgsConstraint.new
    12:       end

anything()

[Source]

        # File lib/spec/mocks/argument_constraint_matchers.rb, line 14
    14:       def anything
    15:         AnyArgConstraint.new(nil)
    16:       end

boolean()

[Source]

        # File lib/spec/mocks/argument_constraint_matchers.rb, line 18
    18:       def boolean
    19:         BooleanArgConstraint.new(nil)
    20:       end

duck_type(*args)

Shortcut for creating an instance of Spec::Mocks::DuckTypeArgConstraint

[Source]

       # File lib/spec/mocks/argument_constraint_matchers.rb, line 6
    6:       def duck_type(*args)
    7:         DuckTypeArgConstraint.new(*args)
    8:       end

hash_including(expected={})

[Source]

        # File lib/spec/mocks/argument_constraint_matchers.rb, line 22
    22:       def hash_including(expected={})
    23:         HashIncludingConstraint.new(expected)
    24:       end

no_args()

[Source]

        # File lib/spec/mocks/argument_constraint_matchers.rb, line 26
    26:       def no_args
    27:         NoArgsConstraint.new
    28:       end

[Validate]